/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-09-04
 * 描述            ：判定原因汇总表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.qcm.vo;
import java.io.Serializable;
import java.util.Date;

import market.Qms.qcm.mapper.QcmJudgeUltimateReasonMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="QCM_JUDGE_ULTIMATE_REASON", namespace=QcmJudgeUltimateReasonMapper.class)
public class QcmJudgeUltimateReason extends BaseVO implements Serializable {
	/** 
	 * 产品序号
	 */ 
	@Id
	private String material_no;
	public String getMaterial_no() {
		return this.material_no;
	}
	public void setMaterial_no(String material_no) {
		this.material_no = material_no;
	}

	/** 
	 * 类型（C：成分,,P：材质S：公差，D：探伤,U：上表面、F:下表面、E:边部)
	 */ 
	@Id
	private String type_code;
	public String getType_code() {
		return this.type_code;
	}
	public void setType_code(String type_code) {
		this.type_code = type_code;
	}

	/** 
	 * 记录ID（单项检验判定记录号)
	 */ 
	@Id
	private String record_id;
	public String getRecord_id() {
		return this.record_id;
	}
	public void setRecord_id(String record_id) {
		this.record_id = record_id;
	}
	/** 
	 * 序号（ID向下流水号)
	 */ 
	@Id
	private int seq;
	public int getSeq() {
		return seq;
	}
	public void setSeq(int seq) {
		this.seq = seq;
	}

	/** 
	 * 检验项代码（材质用）
	 */ 
	@Column
	private String phy_code_l;
	public String getPhy_code_l() {
		return this.phy_code_l;
	}
	public void setPhy_code_l(String phy_code_l) {
		this.phy_code_l = phy_code_l;
	}

	/** 
	 * 检验项名称（材质用）
	 */ 
	@Column
	private String phy_name_l;
	public String getPhy_name_l() {
		return this.phy_name_l;
	}
	public void setPhy_name_l(String phy_name_l) {
		this.phy_name_l = phy_name_l;
	}

	/** 
	 * 试样组代码（材质用）
	 */ 
	@Column
	private String phy_code_m;
	public String getPhy_code_m() {
		return this.phy_code_m;
	}
	public void setPhy_code_m(String phy_code_m) {
		this.phy_code_m = phy_code_m;
	}

	/** 
	 * 试样组描述（材质用）
	 */ 
	@Column
	private String phy_name_m;
	public String getPhy_name_m() {
		return this.phy_name_m;
	}
	public void setPhy_name_m(String phy_name_m) {
		this.phy_name_m = phy_name_m;
	}

	/** 
	 * 检验项代码(成分、材质、探伤取项目代码，表面、公差取不合格原因基础数据代码）
	 */ 
	@Column
	private String phy_code_s;
	public String getPhy_code_s() {
		return this.phy_code_s;
	}
	public void setPhy_code_s(String phy_code_s) {
		this.phy_code_s = phy_code_s;
	}

	/** 
	 * 检验项名称(示例:C...,夹杂物...,UT...厚度不符...,裂纹...）
	 */ 
	@Column
	private String phy_name_s;
	public String getPhy_name_s() {
		return this.phy_name_s;
	}
	public void setPhy_name_s(String phy_name_s) {
		this.phy_name_s = phy_name_s;
	}

	/** 
	 * 试验方向代码（材质用）
	 */ 
	@Column
	private String item_code_d;
	public String getItem_code_d() {
		return this.item_code_d;
	}
	public void setItem_code_d(String item_code_d) {
		this.item_code_d = item_code_d;
	}

	/** 
	 * 试验方向描述（材质用）
	 */ 
	@Column
	private String item_name_d;
	public String getItem_name_d() {
		return this.item_name_d;
	}
	public void setItem_name_d(String item_name_d) {
		this.item_name_d = item_name_d;
	}

	/** 
	 * 试验温度代码（材质用）
	 */ 
	@Column
	private String item_code_t;
	public String getItem_code_t() {
		return this.item_code_t;
	}
	public void setItem_code_t(String item_code_t) {
		this.item_code_t = item_code_t;
	}

	/** 
	 * 试验温度描述（材质用）
	 */ 
	@Column
	private String item_name_t;
	public String getItem_name_t() {
		return this.item_name_t;
	}
	public void setItem_name_t(String item_name_t) {
		this.item_name_t = item_name_t;
	}

	/** 
	 * 试样尺寸代码（材质用）
	 */ 
	@Column
	private String item_code_s;
	public String getItem_code_s() {
		return this.item_code_s;
	}
	public void setItem_code_s(String item_code_s) {
		this.item_code_s = item_code_s;
	}

	/** 
	 * 试样尺寸描述（材质用）
	 */ 
	@Column
	private String item_name_s;
	public String getItem_name_s() {
		return this.item_name_s;
	}
	public void setItem_name_s(String item_name_s) {
		this.item_name_s = item_name_s;
	}

	/** 
	 * 值1
	 */ 
	@Column
	private String val1;
	public String getVal1() {
		return this.val1;
	}
	public void setVal1(String val1) {
		this.val1 = val1;
	}

	/** 
	 * 值2（材质用）
	 */ 
	@Column
	private String val2;
	public String getVal2() {
		return this.val2;
	}
	public void setVal2(String val2) {
		this.val2 = val2;
	}

	/** 
	 * 值3（材质用）
	 */ 
	@Column
	private String val3;
	public String getVal3() {
		return this.val3;
	}
	public void setVal3(String val3) {
		this.val3 = val3;
	}

	/** 
	 * 平均值（材质用）
	 */ 
	@Column
	private String avg_val;
	public String getAvg_val() {
		return this.avg_val;
	}
	public void setAvg_val(String avg_val) {
		this.avg_val = avg_val;
	}

	/** 
	 * 标准范围下限符号
	 */ 
	@Column
	private String stdmin_sign;
	public String getStdmin_sign() {
		return this.stdmin_sign;
	}
	public void setStdmin_sign(String stdmin_sign) {
		this.stdmin_sign = stdmin_sign;
	}

	/** 
	 * 标准范围下限
	 */ 
	@Column
	private String stdmin;
	public String getStdmin() {
		return this.stdmin;
	}
	public void setStdmin(String stdmin) {
		this.stdmin = stdmin;
	}

	/** 
	 * 标准范围上限符号
	 */ 
	@Column
	private String stdmax_sign;
	public String getStdmax_sign() {
		return this.stdmax_sign;
	}
	public void setStdmax_sign(String stdmax_sign) {
		this.stdmax_sign = stdmax_sign;
	}

	/** 
	 * 标准范围上限
	 */ 
	@Column
	private String stdmax;
	public String getStdmax() {
		return this.stdmax;
	}
	public void setStdmax(String stdmax) {
		this.stdmax = stdmax;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}
	// 缺陷类型名称
	private String defect_type_name;
	public String getDefect_type_name() {
		return defect_type_name;
	}
	public void setDefect_type_name(String defect_type_name) {
		this.defect_type_name = defect_type_name;
	}
	// 缺陷类型代码
	private String defect_type_code;
	public String getDefect_type_code() {
		return defect_type_code;
	}
	public void setDefect_type_code(String defect_type_code) {
		this.defect_type_code = defect_type_code;
	}

}
